CVE-2017-2641
CVSS7.5
发布时间 :2017-03-26 14:59:00
修订时间 :2017-08-15 21:29:16
NMS    

[原文]In Moodle 2.x and 3.x, SQL injection can occur via user preferences.


[CNNVD]CNNVD数据暂缺。


[机译]译文暂缺.

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:moodle:moodle:3.0.1
cpe:/a:moodle:moodle:3.0.3
cpe:/a:moodle:moodle:3.2.1
cpe:/a:moodle:moodle:3.2.0:rc2
cpe:/a:moodle:moodle:3.0.2
cpe:/a:moodle:moodle:3.2.0
cpe:/a:moodle:moodle:3.0.5
cpe:/a:moodle:moodle:3.0.4
cpe:/a:moodle:moodle:3.2.0:rc5
cpe:/a:moodle:moodle:2.7.2
cpe:/a:moodle:moodle:2.7.0:rc1
cpe:/a:moodle:moodle:2.7.1
cpe:/a:moodle:moodle:2.7.0
cpe:/a:moodle:moodle:2.7.0:rc2
cpe:/a:moodle:moodle:3.0.0
cpe:/a:moodle:moodle:3.0.0:rc4
cpe:/a:moodle:moodle:3.1.0:beta
cpe:/a:moodle:moodle:3.0.0:rc1
cpe:/a:moodle:moodle:3.0.0:rc2
cpe:/a:moodle:moodle:3.0.7
cpe:/a:moodle:moodle:3.0.6
cpe:/a:moodle:moodle:3.2.0:rc3
cpe:/a:moodle:moodle:3.2.0:rc4
cpe:/a:moodle:moodle:3.0.8
cpe:/a:moodle:moodle:3.2.0:rc1
cpe:/a:moodle:moodle:3.0.0:beta
cpe:/a:moodle:moodle:3.0.0:rc3
cpe:/a:moodle:moodle:3.2.0:beta
cpe:/a:moodle:moodle:2.7.0:beta
cpe:/a:moodle:moodle:3.1.0
cpe:/a:moodle:moodle:3.1.2
cpe:/a:moodle:moodle:3.1.0:rc1
cpe:/a:moodle:moodle:3.1.1
cpe:/a:moodle:moodle:3.1.0:rc2
cpe:/a:moodle:moodle:3.1.4
cpe:/a:moodle:moodle:3.1.3
cpe:/a:moodle:moodle:2.7.14
cpe:/a:moodle:moodle:2.7.13
cpe:/a:moodle:moodle:2.7.15
cpe:/a:moodle:moodle:2.7.10
cpe:/a:moodle:moodle:2.7.12
cpe:/a:moodle:moodle:2.7.11
cpe:/a:moodle:moodle:2.7.9
cpe:/a:moodle:moodle:2.7.16
cpe:/a:moodle:moodle:2.7.8
cpe:/a:moodle:moodle:2.7.18
cpe:/a:moodle:moodle:2.7.17
cpe:/a:moodle:moodle:2.7.3
cpe:/a:moodle:moodle:2.7.7
cpe:/a:moodle:moodle:2.7.6
cpe:/a:moodle:moodle:2.7.5
cpe:/a:moodle:moodle:2.7.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2641
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-2641
(官方数据源) NVD

- 其它链接及资源

http://www.securityfocus.com/bid/96977
(VENDOR_ADVISORY)  BID  96977
http://www.securitytracker.com/id/1038174
(UNKNOWN)  SECTRACK  1038174
https://moodle.org/mod/forum/discuss.php?d=349419
(VENDOR_ADVISORY)  CONFIRM  https://moodle.org/mod/forum/discuss.php?d=349419
https://www.exploit-db.com/exploits/41828/
(UNKNOWN)  EXPLOIT-DB  41828

- 漏洞信息

Moodle CVE-2017-2641 SQL Injection Vulnerability
Input Validation Error 96977
Yes No
2017-03-20 12:00:00 2017-03-21 12:01:00
Netanel Rubin

- 受影响的程序版本

Moodle Moodle 3.1.4
Moodle Moodle 3.1.3
Moodle Moodle 3.1.2
Moodle Moodle 3.1.1
Moodle Moodle 3.0.8
Moodle Moodle 3.0.7
Moodle Moodle 3.0.6
Moodle Moodle 3.0.5
Moodle Moodle 3.0.4
Moodle Moodle 3.0.3
Moodle Moodle 3.0.2
Moodle Moodle 3.0.1
Moodle Moodle 2.7.18
Moodle Moodle 2.7.17
Moodle Moodle 2.7.16
Moodle Moodle 2.7.15
Moodle Moodle 2.7.14
Moodle Moodle 2.7.13
Moodle Moodle 2.7.12
Moodle Moodle 2.7.11
Moodle Moodle 2.7.10
Moodle Moodle 2.7.3
Moodle Moodle 2.7.2
Moodle Moodle 2.6.11
Moodle Moodle 2.6.10
Moodle Moodle 2.6.9
Moodle Moodle 2.6.8
Moodle Moodle 2.6.6
Moodle Moodle 2.6.5
Moodle Moodle 2.6.3
Moodle Moodle 2.6.2
Moodle Moodle 2.6.1
Moodle Moodle 2.5.9
Moodle Moodle 2.5.8
Moodle Moodle 2.5.6
Moodle Moodle 2.5.4
Moodle Moodle 2.5.2
Moodle Moodle 2.5.1
Moodle Moodle 2.4.10
Moodle Moodle 2.4.8
Moodle Moodle 2.4.6
Moodle Moodle 2.4.5
Moodle Moodle 2.4.4
Moodle Moodle 2.4.3
Moodle Moodle 2.3.11
Moodle Moodle 2.3.9
Moodle Moodle 2.3.8
Moodle Moodle 2.3.7
Moodle Moodle 2.3.6
Moodle Moodle 2.3.3
Moodle Moodle 2.3.2
Moodle Moodle 2.3.1
Moodle Moodle 2.2.11
Moodle Moodle 2.2.10
Moodle Moodle 2.2.9
Moodle Moodle 2.2.6
Moodle Moodle 2.2.5
Moodle Moodle 2.2.4
Moodle Moodle 2.2.3
Moodle Moodle 2.2.2
Moodle Moodle 2.2.1
Moodle Moodle 2.1.9
Moodle Moodle 2.1.8
Moodle Moodle 2.1.7
Moodle Moodle 2.1.6
Moodle Moodle 2.1.5
Moodle Moodle 2.1.4
Moodle Moodle 2.1.2
Moodle Moodle 2.1.1
Moodle Moodle 2.0.10
Moodle Moodle 2.0.9
Moodle Moodle 2.0.8
Moodle Moodle 2.0.7
Moodle Moodle 2.0.5
Moodle Moodle 2.0.4
Moodle Moodle 2.0.3
Moodle Moodle 2.0.2
Moodle Moodle 2.0.1
Moodle Moodle 1.9.18
Moodle Moodle 1.9.17
Moodle Moodle 1.9.16
Moodle Moodle 1.9.14
Moodle Moodle 1.9.13
Moodle Moodle 1.9.12
Moodle Moodle 1.9.11
Moodle moodle 1.9.10
Moodle moodle 1.9.9
Moodle moodle 1.9.8
Moodle moodle 1.9.7
Moodle moodle 1.9.6
Moodle Moodle 1.9.5
Moodle moodle 1.9.4
Moodle moodle 1.9.3
Moodle moodle 1.9.2
Moodle Moodle 1.9.1
Moodle moodle 1.8.14
Moodle moodle 1.8.13
Moodle moodle 1.8.11
Moodle moodle 1.8.10
Moodle moodle 1.8.9
Moodle moodle 1.8.8
Moodle moodle 1.8.7
Moodle moodle 1.8.6
Moodle moodle 1.8.5
Moodle moodle 1.8.4
Moodle moodle 1.8.3
Moodle moodle 1.8.2
Moodle Moodle 1.8.1
Moodle moodle 1.7.7
Moodle moodle 1.7.6
Moodle moodle 1.7.5
Moodle moodle 1.7.4
Moodle moodle 1.7.3
Moodle moodle 1.7.2
Moodle moodle 1.7.1
Moodle moodle 1.6.9
Moodle moodle 1.6.8
Moodle moodle 1.6.7
Moodle moodle 1.6.6
Moodle moodle 1.6.5
Moodle moodle 1.6.4
Moodle moodle 1.6.3
Moodle moodle 1.6.2
Moodle moodle 1.6.1
Moodle moodle 1.6
Moodle moodle 1.5.2
Moodle moodle 1.5.1
Moodle moodle 1.5
Moodle moodle 1.4.3
Moodle moodle 1.4.2
Moodle moodle 1.4.1
Moodle moodle 1.3.4
Moodle moodle 1.3.3
Moodle moodle 1.3.2
Moodle moodle 1.3.1
Moodle moodle 1.3
Moodle Moodle 1.2.2
Moodle moodle 1.2.1
Moodle moodle 1.2
Moodle moodle 1.1.1
Moodle Moodle 3.2.1
Moodle Moodle 3.2
Moodle Moodle 3.1
Moodle Moodle 3.0
Moodle Moodle 2.8.2
Moodle Moodle 2.8.1
Moodle Moodle 2.8
Moodle Moodle 2.7.4
Moodle Moodle 2.7.1
Moodle Moodle 2.7
Moodle Moodle 2.6.7
Moodle Moodle 2.6.4
Moodle Moodle 2.6
Moodle Moodle 2.5.7
Moodle Moodle 2.5.5
Moodle Moodle 2.5.3
Moodle Moodle 2.5
Moodle Moodle 2.4.9
Moodle Moodle 2.4.7
Moodle Moodle 2.4.2
Moodle Moodle 2.4.11
Moodle Moodle 2.4.1
Moodle Moodle 2.4
Moodle Moodle 2.3.5
Moodle Moodle 2.3.4
Moodle Moodle 2.3.10
Moodle Moodle 2.3
Moodle Moodle 2.2.8
Moodle Moodle 2.2.7
Moodle Moodle 2.2
Moodle Moodle 2.1.3
Moodle Moodle 2.1.10
Moodle Moodle 2.1
Moodle Moodle 2.0.6
Moodle Moodle 2.0
Moodle Moodle 1.9.20
Moodle Moodle 1.9.19
Moodle Moodle 1.9.15
Moodle moodle 1.9
Moodle Moodle 1.8
Moodle moodle 1.7
Moodle Moodle 1.6
Moodle Moodle 1.5
Moodle Moodle 1.4.5
Moodle Moodle 1.4.4
Moodle Moodle 1.3
Moodle moodle 1.18.2.3
Moodle moodle 1.18.2.2
BEA Systems Weblogic Proxy Plugin 1.5.3
,Moodle Moodle 3.2.2
Moodle Moodle 3.1.5
Moodle Moodle 3.0.9
Moodle Moodle 2.7.19

- 不受影响的程序版本

Moodle Moodle 3.2.2
Moodle Moodle 3.1.5
Moodle Moodle 3.0.9
Moodle Moodle 2.7.19

- 漏洞讨论

Moodle is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

A successful exploit may allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

This issue is fixed in:

Moodle versions 3.2.2, 3.1.5, 3.0.9 and 2.7.19.

- 漏洞利用

Currently, we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站